import express from 'express';
import { SamlService } from '../saml.service.ee';
import { SamlConfiguration } from '../types/requests';
import { AuthenticatedRequest } from '../../../requests';
export declare class SamlController {
    private samlService;
    constructor(samlService: SamlService);
    getServiceProviderMetadata(req: express.Request, res: express.Response): Promise<express.Response<any, Record<string, any>>>;
    configGet(req: AuthenticatedRequest, res: express.Response): Promise<express.Response<any, Record<string, any>>>;
    configPost(req: SamlConfiguration.Update, res: express.Response): Promise<express.Response<any, Record<string, any>>>;
    toggleEnabledPost(req: SamlConfiguration.Toggle, res: express.Response): Promise<express.Response<any, Record<string, any>>>;
    acsGet(req: express.Request, res: express.Response): Promise<void | express.Response<any, Record<string, any>>>;
    acsPost(req: express.Request, res: express.Response): Promise<void | express.Response<any, Record<string, any>>>;
    private acsHandler;
    initSsoGet(req: express.Request, res: express.Response): Promise<express.Response<any, Record<string, any>>>;
    configTestGet(req: AuthenticatedRequest, res: express.Response): Promise<express.Response<any, Record<string, any>>>;
    private handleInitSSO;
}
